/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct XferReqXferReq {
    #[serde(rename = "EFXHdr", skip_serializing_if = "Option::is_none")]
    pub efx_hdr: Option<Box<crate::models::EfxHdr>>,
    #[serde(rename = "XferInfo", skip_serializing_if = "Option::is_none")]
    pub xfer_info: Option<Box<crate::models::XferInfo>>,
}

impl XferReqXferReq {
    pub fn new() -> XferReqXferReq {
        XferReqXferReq {
            efx_hdr: None,
            xfer_info: None,
        }
    }
}
